Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.file
Class FileResourceManager.TransactionContext

    java.lang.Object
      org.apache.commons.transaction.file.FileResourceManager.TransactionContext

Enclosing class:
  FileResourceManager

protected class FileResourceManager.TransactionContext
extends Object

Inner class to hold the complete context, i.e. all information needed, for a transaction.

Field Summary
`protected long` | `commitTime`
`protected boolean` | `finished`
`protected boolean` | `isLightWeight`
`protected int` | `isolationLevel`
`protected boolean` | `readOnly`
`protected long` | `startTime`
`protected int` | `status`
`protected long` | `timeoutMSecs`
`protected Object` | `txId`

Constructor Summary
`FileResourceManager.TransactionContext(Object txId)`

Method Summary
`void` | `cleanUp()`
`void` | `closeResources()`
`void` | `commit()`
`void` | `finalCleanUp()`
`void` | `freeLocks()`
`long` | `getRemainingTimeout()`
`void` | `init()`
`void` | `notifyFinish()`
`void` | `recoverState()`
`void` | `registerResource(Object openResource)`
`void` | `rollback()`
`void` | `saveState()`
`String` | `toString()`
`void` | `upgradeLockToCommit()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### txId

    protected Object txId

### status

    protected int status

### isolationLevel

    protected int isolationLevel

### timeoutMSecs

    protected long timeoutMSecs

### startTime

    protected long startTime

### commitTime

    protected long commitTime

### isLightWeight

    protected boolean isLightWeight

### readOnly

    protected boolean readOnly

### finished

    protected boolean finished

Constructor Detail

### FileResourceManager.TransactionContext

    public FileResourceManager.TransactionContext(Object txId)
                                           throws ResourceManagerException

Method Detail

### getRemainingTimeout

    public long getRemainingTimeout()

### init

    public void init()
              throws ResourceManagerException

  Throws:
    `ResourceManagerException`

### rollback

    public void rollback()
                  throws ResourceManagerException

  Throws:
    `ResourceManagerException`

### commit

    public void commit()
                throws ResourceManagerException

  Throws:
    `ResourceManagerException`

### notifyFinish

    public void notifyFinish()

### cleanUp

    public void cleanUp()
                 throws ResourceManagerException

  Throws:
    `ResourceManagerException`

### finalCleanUp

    public void finalCleanUp()
                      throws ResourceManagerException

  Throws:
    `ResourceManagerException`

### upgradeLockToCommit

    public void upgradeLockToCommit()
                             throws ResourceManagerException

  Throws:
    `ResourceManagerException`

### freeLocks

    public void freeLocks()

### closeResources

    public void closeResources()

### registerResource

    public void registerResource(Object openResource)

### saveState

    public void saveState()
                   throws ResourceManagerException

  Throws:
    `ResourceManagerException`

### recoverState

    public void recoverState()
                      throws ResourceManagerException

  Throws:
    `ResourceManagerException`

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.